# Millelibri

![Logo Millelibri](frontend/src/assets/logo/logo_256px.png?raw=true)

Un motore di ricerca libri basato su protocollo IPFS.

Una versione funzionante si trova [qui](https://millelibri.copyriot.xyz).

Un tempo (fino a dicembre 2023) il progetto era sincronizzato con [Book Searcher](https://github.com/book-searcher-org/book-searcher). Poi venne la macchina editoriale e distrusse tutto:

https://github.com/book-searcher-org/deleted/issues/1

## Installazione rapida

E' possibile buildare il progetto via Docker. Occorre avere prima installato e configurato sia Docker che il tool `docker-compose`.

Occorre clonare il repo e il file contenente gli indici dei libri:

```
git clone https://git.lamacchinadesiderante.org/lamacchinadesiderante/millelibri && cd millelibri
wget https://link.storjshare.io/juobea2obv6nadmij22tidrenlfa/millelibri%2Findex%2Frust%2Findex_0.6.zip?download=1 && unzip index_0.6.zip
docker-compose up -d
```

Il progetto sarà attivo all'indirizzo `localhost:7070`.

## Sviluppo frontend

Per modificare la parte frontend (React) del progetto, posizionarsi nella cartella `frontend` e lanciare i comandi:

```
npm install
npm run build
npm run dev
```